deactivate_super
Prev | Registration and Superblocks | Next

## Name

deactivate_super — drop an active reference to superblock

## Synopsis

`void deactivate_super (` | struct super_block * | s`)`;

## Arguments

`s`

  superblock to deactivate

## Description

Drops an active reference to superblock, acquiring a temprory one if there is no active references left. In that case we lock superblock, tell fs driver to shut it down and drop the temporary reference we had just acquired.

Prev | Up | Next
Registration and Superblocks | Home | generic_shutdown_super